%define oname pplogger

Name: python3-module-pplogger
Version: 3.0.0
Release: alt1

Summary: Logging helper

License: %gpl3only
Group: Development/Python
Url: https://github.com/peterpakos/pplogger

Source: %name-%version.tgz

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-licenses

BuildRequires: python3-module-setuptools
#BuildRequires: python3-module-setuptools_scm
BuildRequires: python3-module-wheel
BuildRequires: python3-module-pyproject-installer
BuildRequires: python3-module-tox
BuildRequires: python3-module-tox-no-deps
BuildRequires: python3-module-tox-console-scripts

%py3_provides %oname

%description
Logging helper

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%check
%tox_check_pyproject

%files
%doc README.md LICENSE.txt
%python3_sitelibdir/*

%changelog
* Wed Jan 10 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 3.0.0-alt1
- First build for ALT